/**
 *    author:  [itmo] enot110
 *    created: 2024-11-10 12:12:40
**/
#include <bits/stdc++.h>

#define F first
#define S second
#define pb push_back
#define forn(i, n) for(int i = 0 ; (i) < (n) ; ++i)
#define eprintf(...) fprintf(stderr, __VA_ARGS__),fflush(stderr)
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(),a.end()
#define pw(x) (1LL<<(x))

using namespace std;

typedef long long ll;
typedef double dbl;
typedef vector<int> vi;
typedef pair<int, int> pi;

const int inf = 1.01e9;
const dbl eps = 1e-9;

/* --- main part --- */


char s[33][6];

int a[33];

int main()
{
    #ifdef home
        assert(freopen("in", "r", stdin));
        // assert(freopen("out", "w", stdout));
    #endif
    int n;
    scanf("%d", &n);
    forn(i, n) scanf("%s", s[i]);
    forn(i, n)
    {
        int m = s[i][0] - '0';
        int sec = (s[i][2] - '0') * 10 + s[i][3] - '0';
        a[i] = m * 60 + sec;
    }
    sort(a, a + n);
    int res = 0;
    int j = 0;
    forn(i, n)
    {
        while (j < n && a[j] <= a[i] + 10) j++;
        res = max(res, j - i);
    }
    int ans = max(0, 3 - res);
    printf("%d\n", ans);



    #ifdef home
        eprintf("time = %d ms\n", (int)(clock() * 1000. / CLOCKS_PER_SEC));
    #endif
    return 0;
}